package com.zd.laboratory.onemachine.domain;

import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/12/7
 */
@ApiModel("apk上传日志")
public class ApkLog extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("apk上传文件id")
    private Long id;

    @ApiModelProperty("一体机设备编码")
    private String onepcHardwareNum;

    @ApiModelProperty("关联apk上传主键")
    private String apkUploadId;

    @ApiModelProperty("1是安装成功，0是安装失败")
    private Integer logStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOnepcHardwareNum() {
        return onepcHardwareNum;
    }

    public void setOnepcHardwareNum(String onepcHardwareNum) {
        this.onepcHardwareNum = onepcHardwareNum;
    }

    public String getApkUploadId() {
        return apkUploadId;
    }

    public void setApkUploadId(String apkUploadId) {
        this.apkUploadId = apkUploadId;
    }

    public Integer getLogStatus() {
        return logStatus;
    }

    public void setLogStatus(Integer logStatus) {
        this.logStatus = logStatus;
    }
}
